#!/bin/sh
#  --------------- BEGIN COPYRIGHT - DO NOT ADD COMMENTS HERE ------------
#
#   IBM Confidential
#   OCO Source Materials
#   5747-SM3
#   (C) Copyright IBM Corp. 2002
#
#   The source code for this program is not published or
#   otherwise divested of its trade secrets, irrespective of
#   what has been deposited with the U.S. Copyright Office.
#
#
#  Batch script that launches TBSM 2.1.1 Language Pack install program on UNIX
#  This script assumes java is already available on the system and the path to java command
#  set in PATH variable. Edit JAVA_CMD as necessary.
#


OS_NAME=`uname`

case "${OS_NAME}" in
  AIX)
   JAVA_CMD="`which java`"
   ;;
  SunOS|Solaris)
   JAVA_CMD="`which java`"
   ;;
  Linux)
   JAVA_CMD="`which java`"
   ;;
  *)
   echo "Unsupported platform: $OS_NAME"
   echo "Exiting ..."
   exit 1
   ;;
esac

JAVA2D_USEAWTFONTS=0
export JAVA2D_USEAWTFONTS

CLASSPATH=./lp_setup.jar:$CLASSPATH ; export CLASSPATH
$JAVA_CMD -cp $CLASSPATH run 
